%define name ax25spyd
%define version 0.23
%define release 6mdk

Name: %{name}
Summary: ax25spyd is a daemon that listens for AX.25 packets from the kernel-AX.25.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: System/Servers
Url: http://1409.org/projects/ax25spyd.html
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: libax25_0 >= 0.0.9 ax25-tools >= 0.0.8

%description
This is ax25spyd (formerly known as monixd), a daemon that listens
for AX.25 packets from the kernel-AX.25. These packets are decoded
(like listen(1)) but not displayed on the screen.

Other programs can connect to ax25spyd via sockets and issue commands.
They will get all heard AX.25-packets in a human-readable format, an
mheard structure, DX-cluster messages or spydata.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%configure

%build

%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/ax25
mv $RPM_BUILD_ROOT/%{_prefix}/etc/ax25/* $RPM_BUILD_ROOT/%_sysconfdir/ax25/

rm -f $RPM_BUILD_DIR/%{name}-%{version}/examples/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*
%_sysconfdir/ax25/*
%doc AUTHORS BUGS ChangeLog INSTALL README examples

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.23-6mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.23-5mdk
- fix requires on ax25-tools

* Tue May 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.23-4mdk
- fix group
- fix buildrequires
- remove zero-length doc file

* Sat Dec 08 2001 Laurent Grawet <laurent.grawet@ibelgique.com> 0.23-3mdk
- corrected "Requires" and "Group"

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.23-2mdk
- bm
- macros

* Tue Jun 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.23-1mdk
- new in contribs
